GetBlueprintOptimizationStatus - Amazon Bedrock

GetBlueprintOptimizationStatus

Gets the status of a blueprint optimization job.

Request Syntax

POST /getBlueprintOptimizationStatus/invocationArn HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

invocationArn

The ARN of the optimization job invocation.

Length Constraints: Minimum length of 1. Maximum length of 128.

Pattern: arn:aws(|-cn|-iso|-iso-[a-z]|-us-gov):bedrock:[a-zA-Z0-9-]*:[0-9]{12}:blueprint-optimization-invocation/[a-zA-Z0-9-_]+

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "errorMessage": "string", "errorType": "string", "outputConfiguration": { "s3Object": { "s3Uri": "string", "version": "string" } }, "status": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

errorMessage

The error message if the job failed.

Type: String

errorType

The type of error if the job failed.

Type: String

outputConfiguration

The location of the optimization results.

Type: BlueprintOptimizationOutputConfiguration object

status

The job's status.

Type: String

Valid Values: Created | InProgress | Success | ServiceError | ClientError

Errors

For information about the errors that are common to all actions, see Common Errors.

AccessDeniedException

HTTP Status Code: 403

InternalServerException

HTTP Status Code: 500

ResourceNotFoundException

HTTP Status Code: 404

ThrottlingException

HTTP Status Code: 429

ValidationException

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: